
Figure - Bug #117918
【BSP】【蓝牙】低概率出现，连接蓝牙耳机长时间播放在线视频（中途蓝牙耳机有断开连接过），蓝牙耳机
连接后播放视频自动断开连接
2023-05-13 17:53 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-13

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103(X103)

Resolution: -- Degrated: --

Severity: Normal Verified Version: 20230725DB

Reproducibility: Rarely Fixed Version:

Test Type: Release Test Root cause:

Description

【问题描述】连接蓝牙耳机播放在视频，播放途中蓝牙耳机因连接超过距离自动断开连接，回到连接距离范围后蓝牙耳机连接正常声音

输出也正常，（因距离连接断开有多次）。视频播放2天后蓝牙耳机连上后播放视频，不一会就自动断开连接，连接其他蓝牙耳机正常

，但不声音输出

History

#1 - 2023-05-17 19:30 - CDTS-TEST 周婷

- Category changed from BSP to LC

#2 - 2023-05-19 19:12 - CD LC涂宇

当前只有logcat日志有效，btsnoop日志无效，请抓取日志是不要选择filtered。同时需请提供出现问题时的时间戳。

从当前logcat日志看(如果时间没问题的话)，断开原因看起来是由于peer端设备问题（L2CAP channel is closed）导致A2DP start request failed(timeout)最终断

开耳机a2dp连接.

这个需要完整的snoop日志甚至是sniffer日志进行分析从而确认是否是peer端的本身的问题。

Next:

重新复现抓取完整的snoop日志以及sniffer日志.

Detail logs:

// 开始播放

05-13 11:21:39.071 19415 19415 D HeadsetService: Received BluetoothA2dp Play State changed

05-13 11:21:39.071 19415 19415 D HeadsetA2dpSync:  updateA2DPPlayingState device: 60:F4:3A:B2:E8:8D transition 10->11

05-13 11:21:39.071 19415 19415 D HeadsetA2dpSync:  isA2dpPlaying returns = 2

05-13 11:21:39.071 19415 19415 D HeadsetService:  sendA2dpStateChange newState = 2

05-13 11:21:39.071 19415 19415 E HeadsetStateMachine: returning mCurrentState as Connected

05-13 11:21:39.071 19415 19415 E HeadsetStateMachine: returning mCurrentState as Disconnected

05-13 11:21:39.071 19415 19415 D HeadsetA2dpSync:  device: 60:F4:3A:B2:E8:8D state = 2

05-13 11:21:39.071 19415 19494 V Avrcp_ext: Device: EDIFIER W281BT : old state: PlaybackState {state=3, position=291482, buffered position=0, speed=1.0,

updated=170139515, actions=0, custom actions=[], active item id=-1, error=null}

05-13 11:21:39.071 19415 19494 V Avrcp_ext: Device: no name: 

05-13 11:21:39.071 19415 19493 D HeadsetStateMachine: handleMessage: E msg.what=24

05-13 11:21:39.071 19415 19494 V Avrcp_ext: Device: no name: 
05-13 11:21:39.071 19415 19494 V Avrcp_ext: Device: no name: 

05-13 11:21:39.071 19415 19494 V Avrcp_ext: Device: no name: 

05-13 11:21:39.071 19415 19494 I Avrcp_ext: device found at index 0

05-13 11:21:39.071 19415 19493 D HeadsetStateMachine: processMsg: Connected

05-13 11:21:39.071 19415 19494 V Avrcp_ext: old state: PlaybackState {state=3, position=291482, buffered position=0, speed=1.0, updated=170139515, actions=0,

custom actions=[], active item id=-1, error=null} new state: PlaybackState {state=2, position=291567, buffered position=0, speed=0.0, updated=170139600,

actions=0, custom actions=[], active item id=-1, error=null} device: 60:F4:3A:B2:E8:8D index: 0

05-13 11:21:39.071 19415 19493 D HeadsetStateMachine: Connected: currentDevice=60:F4:3A:B2:E8:8D, msg=A2DP_STATE_CHANGED event

05-13 11:21:39.071 19415 19494 I Avrcp_ext: updatePlayStatusForDevice: device: 60:F4:3A:B2:E8:8D

05-13 11:21:39.071 19415 19493 D HeadsetStateMachine: Enter processIntentA2dpPlayStateChanged(): a2dp state 2

05-13 11:21:39.071 19415 19494 V Avrcp_ext: updatePlaybackState (1): old=PlaybackState {state=3, position=291482, buffered position=0, speed=1.0,

updated=170139515, actions=0, custom actions=[], active item id=-1, error=null}(1), new=PlaybackState {state=2, position=291567, buffered position=0,

speed=0.0, updated=170139600, actions=0, custom actions=[], active item id=-1, error=null}(2)

05-13 11:21:39.071 19415 19493 D HeadsetStateMachine: A2DP suspended when there is no CS/VOIP calls or VR, resuming A2DP

05-13 11:21:39.072 19415 19494 I Avrcp_ext: Exit updatePlayStatusForDevice

05-13 11:21:39.072 19415 19493 D HeadsetA2dpSync:  releaseA2DP mA2dpSuspendTriggered 0 by device 60:F4:3A:B2:E8:8D

05-13 11:21:39.072 19415 19494 V Avrcp_ext: Exit updatePlaybackState

05-13 11:21:39.072 19415 19494 V Avrcp_ext: Exit handleMessage

05-13 11:21:39.072 19415 19493 D HeadsetStateMachine: Exit processIntentA2dpPlayStateChanged()

05-13 11:21:39.072 19415 19493 D HeadsetStateMachine: handleMessage: X

05-13 11:21:39.072 19415 19415 D BtOppService: action : android.bluetooth.a2dp.profile.action.PLAYING_STATE_CHANGED

05-13 11:21:39.072 19415 19415 D BtOppUtils: device: 60:F4:3A:B2:E8:8D newState: 11

05-13 11:21:39.162 20266 20455 D hardware_info: hw_info_append_hw_type : device_name = bt-a2dp

05-13 11:21:39.162 20266 20455 D msm8974_platform: platform_split_snd_device: snd_device(45) num devices(0) new_snd_devices(0)

05-13 11:21:39.162 20266 20455 D audio_hw_primary: enable_snd_device: snd_device(45: bt-a2dp)

05-13 11:21:39.162 20266 20455 D a2dp_offload: a2dp_start_playback start

05-13 11:21:39.162 20266 20455 D a2dp_offload: calling BT module stream start

05-13 11:21:39.162 20266 20455 D btaudio_offload_qti: audio_stream_start_qti: state = AUDIO_A2DP_STATE_STANDBY

05-13 11:21:39.162 20266 20455 W btaudio_offload_qti: handle_hidl_request: starting audio stream

//MSG_PLAY_STATUS_CMD_TIMEOUT

05-13 11:21:41.171 19415 19494 V Avrcp_ext: AvrcpMessageHandler: received message=33 //MSG_PLAY_STATUS_CMD_TIMEOUT

05-13 11:21:41.171 19415 19494 I Avrcp_ext: device found at index 0

05-13 11:21:41.171 19415 19494 V Avrcp_ext: Exit handleMessage

05-13 11:21:41.989 19415 19494 V Avrcp_ext: MSG_PLAY_INTERVAL_TIMEOUT

05-13 11:21:41.989 19415 19494 V Avrcp_ext: event for device address 60:F4:3A:B2:E8:8D

05-13 11:21:41.990 19415 19494 D Avrcp_ext: getPlayPosition(): currPosition = 291567

05-13 11:21:41.990 19415 19494 D Avrcp_ext: Exit getPlayPosition, position: 0

//L2CAP channel is closed

05-13 11:21:44.251 19415 19484 I bt_snoop: L2CAP channel is closed: handle=10(0xa), lcid=86(0x56), rcid=256(0x100)

05-13 11:21:44.251 19415 19484 I bt_stack: [INFO:btsnoop.cc(651)] clear_l2cap_whitelist: Clearing whitelist from l2cap channel. conn_handle=10 cid=86:256

05-13 11:21:44.251 19415 19484 W bt_l2cap: L2CA_DisconnectReq()  CID: 0x0052

05-13 11:21:44.251 19415 19484 E bt_l2cap: L2CA_SetMediaStreamChannel: The channel 86 not found in active media channels

05-13 11:21:44.251 19415 19484 W bt_l2cap: L2CAP - LCID: 0x0052  st: W4_L2CAP_DISC_RSP  evt: LOWER_LAYER_DISCONNECT_IND

05-13 11:21:44.251 19415 19484 I bt_snoop: L2CAP channel is closed: handle=10(0xa), lcid=82(0x52), rcid=385(0x181)

05-13 11:21:44.251 19415 19484 I bt_stack: [INFO:btsnoop.cc(651)] clear_l2cap_whitelist: Clearing whitelist from l2cap channel. conn_handle=10 cid=82:385

05-13 11:21:44.251 19415 19484 I bt_snoop: L2CAP channel is closed: handle=10(0xa), lcid=95(0x5f), rcid=579(0x243)

05-13 11:21:44.252 19415 19484 I bt_stack: [INFO:btsnoop.cc(651)] clear_l2cap_whitelist: Clearing whitelist from l2cap channel. conn_handle=10 cid=95:579

05-13 11:21:44.252 19415 19484 D bt_btif : LCB lcb=1 event=LL_CLOSE_EVT state=LCB_OPEN_ST

05-13 11:21:44.252 19415 19484 D bt_btif : bta_av_rc_ctrl_cback handle: 0, result 0, event=0x1
05-13 11:21:44.252 19415 19484 I bt_snoop: L2CAP channel is closed: handle=10(0xa), lcid=90(0x5a), rcid=514(0x202)

05-13 11:21:44.252 19415 19484 I bt_stack: [INFO:btsnoop.cc(651)] clear_l2cap_whitelist: Clearing whitelist from l2cap channel. conn_handle=10 cid=90:514

// RFCOMM connection closed

05-13 11:21:44.252 19415 19484 W bt_rfcomm: port_rfc_closed: RFCOMM connection closed, index=29, state=2 reason=Peer connection failed[16],

UUID=111F, bd_addr=60:f4:3a:b2:e8:8d, is_server=0

05-13 11:21:44.252 19415 19484 V bt_stack: [VERBOSE1:smp_l2c.cc(257)] smp_br_connect_callback for pairing BDA: 60:f4:3a:b2:e8:8d,

pairing_bda:00:00:00:00:00:00 Event: disconnected

05-13 11:21:44.252 19415 19484 I bt_btm_sec: btm_sec_disconnected clearing pending flag handle:10 reason:8

05-13 11:21:44.252 19415 19484 D bt_btif : bta_av_ssm_execute(): AV Sevent(0x41)=0x121d(STR_START_FAIL) state=3(OPEN)

05-13 11:21:44.252 19415 19484 W bt_btif : bta_dm_rm_cback:2, status:6

05-13 11:21:44.252 19415 19441 D bt_btif : btif_av_state_opened_handler: event: BTA_AV_START_EVT, flags: 4, peer_sep: 1, index: 0 reconfig_event: 0,

codec_cfg_change: 0, reconfig_pending: 0, reconfig_a2dp: 0, is_retry_reconfig: 0

05-13 11:21:44.252 19415 19441 W bt_btif : ## ON A2DP STARTED ##

05-13 11:21:44.252 19415 19441 W bt_btif : btif_a2dp_on_started: pending_start = 1 status = 1 suspending = 0 initiator = 1

05-13 11:21:44.252 19415 19441 W bt_btif : btif_a2dp_on_started: A2DP start request failed: status = 1

05-13 11:21:44.252 19415 19441 I btif_av : isBATEnabled: 0

05-13 11:21:44.252 19415 19441 E bt_btif : bta_av_co_get_active_peer: active peer index: 0

05-13 11:21:44.252 19415 19441 E bt_btif : bta_av_co_get_active_peer: active peer index: 0

05-13 11:21:44.253 19415 19441 I bt_stack: [INFO:a2dp_encoding.cc(2657)] ack_stream_started: result=FAILURE_LONG_WAIT

05-13 11:21:44.253 19415 19484 D bt_btif : bta_av_ssm_execute(): AV Sevent(0x41)=0x1227(AVDT_DISCONNECT) state=3(OPEN)

05-13 11:21:44.253 19415 19484 W bt_btif : bta_av_str_closed: peer_addr=60:f4:3a:b2:e8:8d open_status=0 chnl=64 hndl=65 co_started=0

05-13 11:21:44.253 19415 19484 W bt_l2cap: L2CA_SetDesireRole() new:x80, disallow_switch:0

05-13 11:21:44.253 19415 19484 E bt_l2cap: L2CA_SetMediaStreamChannel: The channel 82 not found in active media channels

05-13 11:21:44.253 19415 19484 W bt_btif : bta_av_str_closed Open success !!!

05-13 11:21:44.253 19415 19484 I btif_av : isBATEnabled: 0

05-13 11:21:44.253 19415 19484 E bt_btif : bta_av_co_get_active_peer: peer index out of bounds: 5

05-13 11:21:44.253 19415 19484 E bt_btif : btif_av_is_split_a2dp_enabled:  No active peer codec config found, by default splitmode

// Timeout, A2dp Disconnected

05-13 11:21:44.264 19415 19500 D A2dpStateMachine: handleMessage: E msg.what=101

05-13 11:21:44.264 19415 19441 I btif_av : isBATEnabled: 0

05-13 11:21:44.264 19415 19441 E bt_btif : bta_av_co_get_active_peer: peer index out of bounds: 5

05-13 11:21:44.264 19415 19500 D A2dpStateMachine: processMsg: Connected

05-13 11:21:44.264 19415 19441 E bt_btif : btif_av_is_split_a2dp_enabled:  No active peer codec config found, by default splitmode

05-13 11:21:44.264 19415 19500 D A2dpStateMachine: Connected process message(60:F4:3A:B2:E8:8D): STACK_EVENT

05-13 11:21:44.264 19415 19500 D A2dpStateMachine: Connected: stack event: A2dpStackEvent {type:EVENT_TYPE_CONNECTION_STATE_CHANGED,

device:60:F4:3A:B2:E8:8D, value1:DISCONNECTED}

05-13 11:21:44.265 19415 19500 I A2dpStateMachine: Disconnected from 60:F4:3A:B2:E8:8D

05-13 11:21:44.265 19415 19500 D A2dpStateMachine: Exit Connected(60:F4:3A:B2:E8:8D): STACK_EVENT

05-13 11:21:44.266 19415 19500 I A2dpStateMachine: Enter Disconnected(60:F4:3A:B2:E8:8D): STACK_EVENT

05-13 11:21:44.266 19415 19500 D A2dpStateMachine: Connection state 60:F4:3A:B2:E8:8D: CONNECTED->DISCONNECTED

05-13 11:21:44.274 19415 19446 D BluetoothActiveDeviceManager: handleMessage(MESSAGE_A2DP_ACTION_CONNECTION_STATE_CHANGED):

device 60:F4:3A:B2:E8:8D disconnected

05-13 11:21:44.275 19415 19415 I BluetoothPhonePolicy: processProfileStateChanged, device=60:F4:3A:B2:E8:8D, profile=2, 2 -> 0

05-13 11:21:44.275 19415 29609 D AvrcpControllerStateMachine: handleMessage: new destination call exit/enter

05-13 11:21:44.275 19415 19415 W BluetoothPhonePolicy: processProfileStateChanged: Calling setDisconnectionA2dp  for device 60:F4:3A:B2:E8:8D

05-13 11:21:44.275 19415 19446 D BluetoothActiveDeviceManager: setA2dpActiveDevice(null)

05-13 11:21:44.275 19415 19446 D A2dpService: setActiveDevice: null

05-13 11:21:44.275 19415 19493 D HeadsetStateMachine: Disconnected: currentDevice=60:F4:3A:B2:E8:8D, msg=connection state changed: 60:F4:3A:B2:E8:8D:

Connected -> Disconnected

05-13 11:21:44.299  1525  1525 D CompanionDeviceManagerService: 60:F4:3A:B2:E8:8D disconnected w/ reason: (1104) Timeout
05-13 11:21:44.299  1525  1525 D CompanionDeviceManagerService: onDeviceDisconnected(address = 60:F4:3A:B2:E8:8D)

#3 - 2023-05-19 19:13 - CD LC涂宇

- Status changed from New to ASSIGNED

#4 - 2023-05-23 20:24 - CDTS-TEST 周婷

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC 陶洪普 to 物联网测试组_CDTS  唐霞 

今晚长时间播放视频尝试复现，复现后拉涂宇看现场

#5 - 2023-05-24 19:09 - 物联网测试组_CDTS  唐霞 

昨晚长稳未复现

#6 - 2023-05-25 19:14 - 物联网测试组_CDTS  唐霞 

5/25长稳未复现

#7 - 2023-06-05 15:38 - CD TEST-方永红

6.5

0106版本，连接蓝牙音箱播放视频48h未出现自动断开现象

#8 - 2023-07-17 17:28 - CDTS_TEST 王成

- Assignee changed from 物联网测试组_CDTS  唐霞  to 物联网测试组_TSCD 王维

#9 - 2023-07-25 16:36 - 物联网测试组_TSCD 王维

- Verified Version set to 20230725DB

复验版本：20230725DB

复验结果：未复现

#10 - 2023-08-24 19:15 - 物联网测试组_TSCD 王维

0136和0138版本未复现

#11 - 2023-09-14 18:33 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

已在下列版本中验证通过
01.00.0140

01.00.0142

#12 - 2023-09-14 18:33 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#13 - 2023-09-14 18:33 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

513-22log.txt 13.2 MB 2023-05-13 物联网测试组_CDTS  唐霞 

btsnoop_hci.log.filtered.7z 181 KB 2023-05-13 物联网测试组_CDTS  唐霞 
